package com.ms.dal.mapper;

import com.ms.dal.entity.PlatformPurchaseOrder;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.ms.dal.PlatformPurchaseOrder
 */
@Mapper
public interface PlatformPurchaseOrderMapper {

    int deleteByPrimaryKey(String id);

    int insert(PlatformPurchaseOrder record);

    int insertOrUpdate(PlatformPurchaseOrder  record);

    int insertSelective(PlatformPurchaseOrder record);

    PlatformPurchaseOrder selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(PlatformPurchaseOrder record);

    int updateByPrimaryKey(PlatformPurchaseOrder record);

    List<PlatformPurchaseOrder> getListByPurOrderIds(@Param("purOrderIds") List<String> purOrderIds);
}
